package com.exparrot.pete.stats;

public class Summary {

	public int trials = 500;
	public double[] threeyear = new double[trials];
	public double[] oneyear = new double[trials];

	public void getStats() {

		for (int i = 0; i < trials; i++) {
			City c = new City();
			c.identify();
			threeyear[i] = c.threeyearanalysis(false);
			oneyear[i] = c.oneyearanalysis(false);
		}

		double onemean = 0;
		double threemean = 0;
		double onesd = 0;
		double threesd = 0;

		//Calculate the means
		for (int i = 0; i < trials; i++) {
			onemean += oneyear[i];
			threemean += threeyear[i];
		}

		onemean = onemean / trials;
		threemean = threemean / trials;

		//Calcualte the standard deviations
		for (int i = 0; i < trials; i++) {
			onesd += ((oneyear[i] * oneyear[i]) - (onemean * onemean));
			threesd += ((threeyear[i] * threeyear[i]) - (threemean * threemean));
		}
		onesd = java.lang.Math.sqrt(onesd / trials);
		threesd = java.lang.Math.sqrt(threesd / trials);

		System.out.println("Aggregate over " + trials  + " studies");

		System.out.println("Council results  " + onemean + "% +- " + onesd + "%");
		System.out.println("SH results  " + threemean + "% +- " + threesd + "%");
	}

	public static void main(String[] args) {
		
		Summary s = new Summary();
		s.getStats();

	}

}
